Package Scientific :: Package BSP :: Class ParTuple

[frames] | no frames]

# Class ParTuple

    object --+
             |
      ParValue --+
                 |
                ParTuple

Global data tuple

ParTuple objects are used to speed up communication when many data items need to be sent to the same processors. The construct a, b, c = ParTuple(a, b, c).put(pids) is logically equivalent to a = a.put(pids); b = b.put(pids); c = c.put(pids) but more efficient.

Instance Methods

__getitem__(self, item) |

__init__(self, *args) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

__len__(self) |

Inherited from `ParValue`: `__add__`, `__call__`, `__div__`, `__divmod__`, `__eq__`, `__ge__`, `__getattr__`, `__gt__`, `__le__`, `__lt__`, `__mod__`, `__mul__`, `__ne__`, `__neg__`, `__nonzero__`, `__pow__`, `__repr__`, `__str__`, `__sub__`, `accumulate`, `alltrue`, `anytrue`, `broadcast`, `fullExchange`, `get`, `getattr`, `map`, `put`, `reduce`

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`

Class Variables
Inherited from `ParValue`: `is_parvalue`

Properties
Inherited from `object`: `__class__`

Method Details

### __getitem__(self, item)
(Indexing operator)

Overrides: ParValue.__getitem__

### __init__(self, *args)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `args` (`tuple`) - any global objects
Overrides: object.__init__

### __len__(self)
(Length operator)

Overrides: ParValue.__len__